On 27 Jun 2005, at 21:30, Paul Winkler wrote:

2005-06-27T13:06:58 WARNING ZODB Could not import class 'SimpleLog' from
module 'Products.LDAPUserFolder.SimpleLog'

It's pretty clear that Zope is having a major problem with
LDAPUserFolder.  Possibly you have an old version of LDAPUserFolder
that is not compatible with Zope 2.8?
New versions can be downloaded here:

Let's just say that whatever LDAPUserFolder version you ran with Zope 2.5.1 has long since passed into the "unsupported" pile...

- Get the latest released LDAPUserFolder version and install it into your new Zope 2.8-based instance
- Make a backup copy of your old ZODB
- Log into a 2.5.1-based instance as the emergency user (-> see doc/ SECURITY.txt in your 2.5.1 Zope installation about how to create one) - if you don't have a LDAPUserFolder in the Zope root you can skip that and log in as a Manager user from the root user folder
- Delete every single LDAPUserFolder instance you have
- Stop Zope
- Copy the Data.fs into your Zope 2.8-based sandbox
- If you had a LDAPUserFolder at the root, make sure you're set up for an emergency user - Start Zope and log in either as an emergency user or a root user folder manager
- Recreate all LDAPUserFolder instances.


Zope maillist  -  Zope@zope.org
**   No cross posts or HTML encoding!  **
(Related lists - http://mail.zope.org/mailman/listinfo/zope-announce
http://mail.zope.org/mailman/listinfo/zope-dev )

Reply via email to